Jump to content

Photo

[SVN Version]Gemrb won't compile


6 replies to this topic

#1 -Roma!n-

-Roma!n-
  • Members
  • 27 posts

Posted 06 February 2008 - 09:11 AM

Hi everyone. The file autogen.sh does not seem to work correctly. Here is the problem :

bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$ ./autogen.sh
./autogen.sh: 32: [[: not found
./autogen.sh: 32: aclocal: not found
./autogen.sh: 32: aclocal-1.7: not found
./autogen.sh: 32: aclocal-1.8: not found
./autogen.sh: 32: aclocal-1.9: not found
./autogen.sh: 32: aclocal-1.10: not found
./autogen.sh: 32: aclocal-1.11: not found
./autogen.sh: 44: [[: not found
./autogen.sh: 58: [[: not found
./autogen.sh: 58: autoheader: not found
./autogen.sh: 58: autoheader-2.57: not found
./autogen.sh: 58: autoheader-2.58: not found
./autogen.sh: 58: autoheader-2.59: not found
./autogen.sh: 58: autoheader-2.60: not found
./autogen.sh: 58: autoheader-2.61: not found
./autogen.sh: 58: autoheader-2.62: not found
./autogen.sh: 70: [[: not found
./autogen.sh: 84: [[: not found
./autogen.sh: 84: libtoolize: not found
./autogen.sh: 96: [[: not found
./autogen.sh: 110: [[: not found
./autogen.sh: 110: automake: not found
./autogen.sh: 110: automake-1.7: not found
./autogen.sh: 110: automake-1.8: not found
./autogen.sh: 110: automake-1.9: not found
./autogen.sh: 110: automake-1.10: not found
./autogen.sh: 110: automake-1.11: not found
./autogen.sh: 122: [[: not found
./autogen.sh: 136: [[: not found
./autogen.sh: 136: autoconf: not found
./autogen.sh: 136: autoconf-2.57: not found
./autogen.sh: 136: autoconf-2.58: not found
./autogen.sh: 136: autoconf-2.59: not found
./autogen.sh: 136: autoconf-2.60: not found
./autogen.sh: 136: autoconf-2.61: not found
./autogen.sh: 136: autoconf-2.62: not found
./autogen.sh: 148: [[: not found
Running libtoolize
./autogen.sh: 151: --force: not found

Should I try ./configure instead? :)
Thank you!

#2 Avenger

Avenger
  • Modders
  • 3805 posts
  • Gender:Male
  • Location:Hungary

Posted 06 February 2008 - 11:02 PM

Is this a recent problem, or you have not tried this before.

#3 Guest_lynx_*

Guest_lynx_*
  • Guests

Posted 07 February 2008 - 02:46 AM

[[ and ]] aren't posix sh compatible, I'll go fix the remaining few such tests.

#4 Guest_Guest_*

Guest_Guest_*
  • Guests

Posted 07 February 2008 - 02:52 AM

done, please retry. :)

#5 Guest_Guest_*

Guest_Guest_*
  • Guests

Posted 07 February 2008 - 06:44 AM

The is still a problem
bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$ export AUTOCONF=/pathto/autoconf-2.58
bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$ ./autogen.sh
./autogen.sh: 32: aclocal: not found
./autogen.sh: 32: aclocal-1.7: not found
./autogen.sh: 32: aclocal-1.8: not found
./autogen.sh: 32: aclocal-1.9: not found
./autogen.sh: 32: aclocal-1.10: not found
./autogen.sh: 32: aclocal-1.11: not found
***************************************************************

Aclocal version >= 1.7 is required. If it is already installed,
set enviroment variable ACLOCAL to point to it.
(for example in bash do: "export ACLOCAL=/pathto/aclocal-1.7")

***************************************************************
bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$ export ACLOCAL=/pathto/aclocal-1.7
bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$ ./autogen.sh
./autogen.sh: 58: autoheader: not found
./autogen.sh: 58: autoheader-2.57: not found
./autogen.sh: 58: autoheader-2.58: not found
./autogen.sh: 58: autoheader-2.59: not found
./autogen.sh: 58: autoheader-2.60: not found
./autogen.sh: 58: autoheader-2.61: not found
./autogen.sh: 58: autoheader-2.62: not found
*********************************************************************

Autoheader version >= 2.57 is required. If it is already installed,
set enviroment variable AUTOHEADER to point to it.
(for example in bash do: "export AUTOHEADER=/pathto/autoheader-2.58")

*********************************************************************
bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$ export AUTOHEADER=/pathto/autoheader-2.58
bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$ ./autogen.sh
./autogen.sh: 84: libtoolize: not found
***************************************************************

Libtool version >= 1.5 is required. If it is already installed,
set enviroment variable LIBTOOLIZE to point to it.
(for example in bash do: "export LIBTOOLIZE=/pathto/libtoolize")

***************************************************************
bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$ export LIBTOOLIZE=/pathto/libtoolize
bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$ ./autogen.sh
./autogen.sh: 110: automake: not found
./autogen.sh: 110: automake-1.7: not found
./autogen.sh: 110: automake-1.8: not found
./autogen.sh: 110: automake-1.9: not found
./autogen.sh: 110: automake-1.10: not found
./autogen.sh: 110: automake-1.11: not found
***************************************************************

Automake version >= 1.7 is required. If it is already installed,
set enviroment variable AUTOMAKE to point to it.
(for example in bash do: "export AUTOMAKE=/pathto/automake-1.7")

***************************************************************
bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$ export AUTOMAKE=/pathto/automake-1.7
bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$ ./autogen.sh
Running libtoolize
./autogen.sh: 151: /pathto/libtoolize: not found
bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$

None of those apps are found with Synaptic, with aptitude, etc.

#6 -Roma!n-

-Roma!n-
  • Members
  • 27 posts

Posted 07 February 2008 - 07:02 AM

I finally got it work, I hadn't well installed the build essentials. I removed and reinstalled them correctly. There are stille few stranges lines:

bronislas@bronislas-desktop:~/gemrb/gemrb/trunk$ ./autogen.shRunning libtoolize
You should add the contents of `/usr/share/aclocal/libtool.m4' to `aclocal.m4'.
Putting files in AC_CONFIG_AUX_DIR, `admin'.
Running aclocal
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_USE_SYSTEM_EXTENSIONS
../../lib/autoconf/specific.m4:389: AC_USE_SYSTEM_EXTENSIONS is expanded from...
../../lib/autoconf/functions.m4:1656: AC_FUNC_STRNLEN is expanded from...
configure.in:178: the top level
configure.in:178: warning: AC_RUN_IFELSE was called before AC_USE_SYSTEM_EXTENSIONS
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_GNU_SOURCE
../../lib/autoconf/specific.m4:331: AC_GNU_SOURCE is expanded from...
configure.in:178: warning: AC_RUN_IFELSE was called before AC_GNU_SOURCE
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_AIX
../../lib/autoconf/specific.m4:436: AC_AIX is expanded from...
configure.in:178: warning: AC_RUN_IFELSE was called before AC_AIX
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_MINIX
../../lib/autoconf/specific.m4:460: AC_MINIX is expanded from...
configure.in:178: warning: AC_RUN_IFELSE was called before AC_MINIX
Running autoconf
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_USE_SYSTEM_EXTENSIONS
../../lib/autoconf/specific.m4:389: AC_USE_SYSTEM_EXTENSIONS is expanded from...
../../lib/autoconf/functions.m4:1656: AC_FUNC_STRNLEN is expanded from...
configure.in:178: the top level
configure.in:178: warning: AC_RUN_IFELSE was called before AC_USE_SYSTEM_EXTENSIONS
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_GNU_SOURCE
../../lib/autoconf/specific.m4:331: AC_GNU_SOURCE is expanded from...
configure.in:178: warning: AC_RUN_IFELSE was called before AC_GNU_SOURCE
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_AIX
../../lib/autoconf/specific.m4:436: AC_AIX is expanded from...
configure.in:178: warning: AC_RUN_IFELSE was called before AC_AIX
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_MINIX
../../lib/autoconf/specific.m4:460: AC_MINIX is expanded from...
configure.in:178: warning: AC_RUN_IFELSE was called before AC_MINIX
Running autoheader
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_USE_SYSTEM_EXTENSIONS
../../lib/autoconf/specific.m4:389: AC_USE_SYSTEM_EXTENSIONS is expanded from...
../../lib/autoconf/functions.m4:1656: AC_FUNC_STRNLEN is expanded from...
configure.in:178: the top level
configure.in:178: warning: AC_RUN_IFELSE was called before AC_USE_SYSTEM_EXTENSIONS
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_GNU_SOURCE
../../lib/autoconf/specific.m4:331: AC_GNU_SOURCE is expanded from...
configure.in:178: warning: AC_RUN_IFELSE was called before AC_GNU_SOURCE
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_AIX
../../lib/autoconf/specific.m4:436: AC_AIX is expanded from...
configure.in:178: warning: AC_RUN_IFELSE was called before AC_AIX
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_MINIX
../../lib/autoconf/specific.m4:460: AC_MINIX is expanded from...
configure.in:178: warning: AC_RUN_IFELSE was called before AC_MINIX
Running automake
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_USE_SYSTEM_EXTENSIONS
../../lib/autoconf/specific.m4:389: AC_USE_SYSTEM_EXTENSIONS is expanded from...
../../lib/autoconf/functions.m4:1656: AC_FUNC_STRNLEN is expanded from...
configure.in:178: the top level
configure.in:178: warning: AC_RUN_IFELSE was called before AC_USE_SYSTEM_EXTENSIONS
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_GNU_SOURCE
../../lib/autoconf/specific.m4:331: AC_GNU_SOURCE is expanded from...
configure.in:178: warning: AC_RUN_IFELSE was called before AC_GNU_SOURCE
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_AIX
../../lib/autoconf/specific.m4:436: AC_AIX is expanded from...
configure.in:178: warning: AC_RUN_IFELSE was called before AC_AIX
configure.in:178: warning: AC_COMPILE_IFELSE was called before AC_MINIX
../../lib/autoconf/specific.m4:460: AC_MINIX is expanded from...
configure.in:178: warning: AC_RUN_IFELSE was called before AC_MINIX
configure.in: installing `admin/install-sh'
configure.in: installing `admin/missing'
gemrb/Makefile.am: installing `admin/depcomp'
Running configure

Edited by -Roma!n-, 07 February 2008 - 09:59 AM.


#7 Guest_lynx_*

Guest_lynx_*
  • Guests

Posted 09 February 2008 - 11:17 AM

just some harmless warnings. :)



Reply to this topic



  


1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users